<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <ScrollView
        android:id="@+id/svData"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/llMenu1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <Button
                    android:id="@+id/getWifiStatus"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/ailink_0012_wifi_status" />

                <Button
                    android:id="@+id/scanWifi"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:text="@string/ailink_0012_scan_wifi" />

                <Button
                    android:id="@+id/getSn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/ailink_0012_get_sn" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/llMenu2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


                <Button
                    android:id="@+id/disconnectWifi"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/scanWifi"
                    android:text="@string/ailink_0012_disconnect_wifi" />

                <Button
                    android:id="@+id/ota"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="OTA" />

                <Button
                    android:id="@+id/btnGetApiKey"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/ailink_0012_get_api_key" />
            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/llMenu3"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/defaultTryOut"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/ailink_0012_try_out" />


                <Button
                    android:id="@+id/defaultMode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/ailink_0012_default_mode" />

                <EditText
                    android:id="@+id/etSelectGears"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:hint="@string/ailink_0012_time_gears"
                    android:textSize="14dp" />

            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/llMenu4"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/getWifiName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/ailink_0012_wifi_name" />


                <Button
                    android:id="@+id/getSupportUnit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/ailink_0012_get_support_mode" />

                <Button
                    android:id="@+id/getTimeMode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/ailink_0012_get_time_mode" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/llMenu5"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btnScore"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/ailink_0012_get_score" />

                <EditText
                    android:id="@+id/etScore"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:hint="@string/ailink_0012_set_default_info"
                    android:digits="0123456789,"
                    android:textSize="14dp" />


            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/llMenu6"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/llMenu5">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:text="API KEY:" />

                <EditText
                    android:id="@+id/etApiKey"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/btnSetApiKey"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/ailink_0012_set_api_key" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/llMenu7"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="地址:"
                    android:textSize="12dp"
                    />

                <EditText
                    android:id="@+id/etIp"
                    android:layout_width="0dp"
                    android:layout_weight="10"
                    android:layout_height="wrap_content"
                    android:hint="ip/url"
                    android:text="ailink.iot.aicare.net.cn" />

                <EditText
                    android:id="@+id/etPort"
                    android:layout_width="50dp"
                    android:layout_height="wrap_content"
                    android:text="80" />

                <EditText
                    android:id="@+id/etPath"
                    android:layout_weight="1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:hint="必须以/开头"
                    android:text="/" />

            </androidx.appcompat.widget.LinearLayoutCompat>
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                >
                <Button
                    android:id="@+id/btnSetUrl"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="设置地址"
                    />
                <Button
                    android:id="@+id/btnGetUrl"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="读取地址"
                    />

            </androidx.appcompat.widget.LinearLayoutCompat>


        </androidx.appcompat.widget.LinearLayoutCompat>

    </ScrollView>


    <ListView
        android:id="@+id/log_list"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/svData" />

</androidx.constraintlayout.widget.ConstraintLayout>